<div class="horizontal-centered-block">
  <div class="theme-wrapper">
    <div class="theme-card noselect" draggable="false">
      <div class="theme-header">
        <div class="back-btn">
          <ion-button
            color="dark"
            fill="outline"
            size="small"
            matTooltip="{{ 'TAGS.BACK_BTN' | translate }}"
            (click)="onBack()"
          >
            <ion-icon name="return-up-back-outline"></ion-icon>&nbsp;
          </ion-button>
        </div>

        <div class="header-title">
          {{ "TAGS.TITLE" | translate }}
        </div>

        <div
          class="cache-btn"
          matTooltip="{{
            (onlyCachedTags ? 'TAGS.ONLY_CACHED' : 'TAGS.ALL_TAGS') | translate
          }}"
          (click)="onOnlyCached()"
          *ngIf="isPullthroughProxy"
        >
          <ion-icon
            name="cloud-offline-outline"
            *ngIf="onlyCachedTags"
          ></ion-icon>
          <ion-icon
            name="cloud-done-outline"
            *ngIf="!onlyCachedTags"
          ></ion-icon>
        </div>

        <div class="input-wrapper">
          <ion-item lines="none" class="filter-input-item">
            <ion-input
              type="text"
              label="{{ 'TAGS.FILTER' | translate }}"
              labelPlacement="floating"
              [value]="filter"
              (ionChange)="onFilterChange($event)"
            ></ion-input>
          </ion-item>
          <div class="clear-icon-wrapper" (click)="onClearFilter()">
            <ion-icon
              class="clear-icon"
              name="close-outline"
              *ngIf="!(filter == undefined) && filter.length"
            ></ion-icon>
          </div>
        </div>

        <div
          class="force-refresh-btn"
          matTooltip="{{ 'TAGS.FORCE_REFRESH_RECORDS' | translate }}"
          (click)="onForceRefresh()"
          *ngIf="!isLoading"
        >
          <ion-icon name="sync-circle-outline"></ion-icon>
        </div>
        <div
          class="refresh-btn"
          matTooltip="{{ 'TAGS.REFRESH_RECORDS' | translate }}"
          (click)="onRefresh()"
          *ngIf="!isLoading"
        >
          <ion-icon name="refresh-outline"></ion-icon>
        </div>
        <div class="load-indicator" *ngIf="isLoading">
          <ion-spinner name="crescent" color="primary"></ion-spinner>
        </div>
      </div>

      <div class="theme-content">
        <div class="image-path">
          <div class="image-path-label">
            {{ "TAGS.IMAGE_PATH" | translate }}
          </div>
          <div class="image-path-name select">
            {{ repoName }}
          </div>
        </div>

        <div class="table-wrapper">
          <table class="datatable" mat-table [dataSource]="tags" matSort>
            <!-- TIMESTAMP Column -->
            <ng-container matColumnDef="timestamp">
              <th mat-header-cell *matHeaderCellDef>
                {{ "TAGS.TIMESTAMP" | translate }}
              </th>
              <td class="table-cell" mat-cell *matCellDef="let row">
                {{ row.stat?.ctime ? (row.stat?.ctime | date) : row.createdAt ? (row.createdAt | date) : "" }}
              </td>
            </ng-container>

            <!-- TAG Column -->
            <ng-container matColumnDef="tag">
              <th
                mat-header-cell
                *matHeaderCellDef
                mat-sort-header
                (click)="onSortChange()"
              >
                {{ "TAGS.TAG" | translate }}
              </th>
              <td class="table-cell" mat-cell *matCellDef="let row">
                {{ row.tag }}
              </td>
            </ng-container>

            <!-- ACTIONS Column -->
            <ng-container matColumnDef="actions">
              <th mat-header-cell *matHeaderCellDef>
                {{ "TAGS.ACTIONS" | translate }}
              </th>
              <td
                class="table-cell actions-cell"
                mat-cell
                *matCellDef="let row"
              >
                <div
                  class="action-icon details-icon"
                  (click)="onManifest(row)"
                  matTooltip="{{ 'TAGS.MANIFEST' | translate }}"
                >
                  <ion-icon name="document-text-outline"></ion-icon>
                </div>

                <div
                  class="action-icon delete-icon"
                  (click)="onDelete(row)"
                  matTooltip="{{ 'TAGS.DELETE' | translate }}"
                >
                  <ion-icon name="trash-outline"></ion-icon>
                </div>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>

            <tr class="mat-row no-data-row" *matNoDataRow>
              <td class="mat-cell" colspan="12">
                {{ "TAGS.NO_DATA_AVAILABLE" | translate }}
              </td>
            </tr>
          </table>
        </div>
      </div>
      <div class="pagination-wrapper">
        <mat-paginator
          class="pagination"
          [length]="rowCount"
          [pageSize]="limit"
          [pageSizeOptions]="[5, 10, 25, 50, 100]"
          showFirstLastButtons
          (page)="onPagination($event)"
        ></mat-paginator>
      </div>

      <div class="theme-footer"></div>
    </div>
  </div>
</div>
